<!DOCTYPE HTML>
<html>

<head>
  <title>Lumen + External Elastic Border Detection in IVUS Challenge</title>
  <meta name="description" content="website description" />
  <meta name="keywords" content="website keywords, website keywords" />
  <meta http-equiv="content-type" content="text/html; charset=windows-1252" />
  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>
  <div id="main">
    <div id="header">
      <div id="logo">
        <div id="logo_text">
          <!-- class="logo_colour", allows you to change the colour of the text -->
          <h1>Lumen + External Elastic Laminae</h1>
          <h2>Border Detection in IVUS Challenge</h2>
        </div>
      </div>
      <div id="menubar">
        <ul id="menu">
          <!-- put class="selected" in the li tag for the selected page - to highlight which page you're on -->
		  <li><a href="index.php">Home</a></li>
          <li><a href="dataset.php">DataSet</a></li>
          <li class="selected"><a href="evaluation.php">Evaluation</a></li>
          <li><a href="register.php">Register user</a></li>
          <li><a href="upload.php">Upload files</a></li>
          <li><a href="results.php">Results</a></li>
          <li><a href="faqs.php">Faqs</a></li>
          <li><a href="about.php">About</a></li>
          <li><a href="verify.php">Admin</a></li>
        </ul>
      </div>
    </div>
    <div id="site_content">
      <div class="sidebar">
        <h1>Latest News</h1>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient 
        <h1>Useful Links</h1>
        <ul>
          <li><a href="#">link 1</a></li>
          <li><a href="#">link 2</a></li>
        </ul>
      </div>
      <div id="content">
        <h2>Evaluation</h2>
        <p>The segmentation results of each method will be compared with manual segmentations provided by one or two expert observers. </p>
        <p>The score for each method will be computed as the average Jaccard similarity measurement for all frames. Contours will be evaluated based on the Hausdorff maximum and mean error distances. An additional evaluation score may be used depending on the degree of independence of the method (initialization, user intervention). </p>
        <p>The average segmentation time per frame will also be accounted. Finally, the capability of the method to be run on RF or DICOM data (as applicable), as well the flexibility of the method (ability of the method to segment both 20&nbsp;<em>MHz</em>&nbsp;and 40&nbsp;<em>MHz</em>&nbsp;data) will be discussed.</p>
        <h2>Data Reporting</h2>
        <p>Participants must strictly adhere to the format of the dataset provided by the organizers (including case sensitive names) when providing the segmentation results. Each participant must submit a text file (no other formats will be accepted), which contains the Cartesian coordinates of the lumen and media (a maximum of one decimal digit is allowed). For e.g.,</p>
        <center>
          [287.9, 256.6]<br>
          [287.9, 257.1]<br>
          <br>
        </center>
        <p>The format in which the data should be reported is given below:</p>
        <ul>
          <li>Each participant will be assigned a number.</li>
          <li>If Participant 1 wants to submit results for Dataset_A and Dataset_B, then, a zip file with the following directory structure (please pay attention to the letter casing) must be emailed to IVUSChallenge@cbl.uh.edu:</li>
          <center><img src="http://cbl.uh.edu/images/ivus11.png" alt="folders exemple"></center>
          <li>Each "LABELS" directory could contain lumen and/or media files (lum_frame_ XX_YYYY_003.txt and/or med_frame_ XX_YYYY_003.txt). However, it is important that the above-specified format is strictly followed.</li>
        </ul>
        <br>
        <p>&nbsp;</p>
      </div>
  </div>
    <div id="footer">
      <p><a href="index.php">Home</a> | <a href="dataset.php">DataSet</a> | <a href="evaluation.php">Evaluation</a> | <a href="register.php">Register</a> | <a href="upload.php">Upload Files</a> | <a href="results.php">Results</a> | <a href="faqs.php">Faqs</a> | <a href="about.php">About</a> | <a href="verify.php">Admin users</a></p>
    </div>
  </div>
</body>
</html>
