<?php
// ******************** FUNCIONES ********************
include ("funciones.php");

//Funcion valida el nombre del usuario (grupo)
function validarNombre($nombre){
	$patron="/^[a-z0-9_]*$/i"; //letras, numeros y underscore permitidos

	if ( strlen($nombre) >= 4 && preg_match($patron,$nombre) )
		return true;
	else
		return false;
}
//Funcion valida el Email
function validarEmail($email){
	if (ereg("([A-Za-z0-9_.-]+@[A-Za-z0-9_.-]+\.[A-Za-z0-9_-]+)", $email, $resultado))
		return true;
	else
		return false;
} 
//Funcion comprueba los passwords si son correctas e iguales
function validarPass($pass1,$pass2){
	$patron="/^[a-z0-9_]*$/i";
	
	if(!preg_match($patron, $pass1) || $pass1 != $pass2 || $pass1 =="")
		return false;
	else
		return true;
}
//Funcion comprobar si usuario existe en la BBDD
function validarNombreBD($nombre){
	$link=conectarBD();
	$consulta = "SELECT id_usuario_temp FROM usuarios_temp WHERE nombre = '$nombre'";
	$resultado=mysql_query($consulta,$link) or die (mysql_error());
	
	if (mysql_num_rows($resultado)>0) //algun resultado
		return false;
	else
		return true;
}
//Funcion si existe el correo en la BBDD
function validarEmailBD($mail){
	$link = conectarBD();
	$consulta = "SELECT id_usuario_temp FROM usuarios_temp WHERE email = '$mail'";
	$resultado = mysql_query($consulta,$link) or die (mysql_error());
	
	if (mysql_num_rows($resultado)>0) //algun resultado
		return false;
	else
		return true;
}
//Funcion insertar usuario en BBDD
function insertarUsuario($nombre, $email, $pass1){
	$nombre=$_POST['nombre'];
	$email=$_POST['email'];
	$pass1=$_POST['pass1'];
	$link=conectarBD();
	$insertar= "INSERT INTO usuarios_temp (nombre,password,email,fechaAlta,puntos) values ('$nombre','$pass1','$email',CURDATE(),0 )";
	$resultado=mysql_query($insertar,$link) or die (mysql_error());
	
	if ($resultado){
		$estado="OK INSERTED";
		mailAvisoAlta($email);
		return TRUE;
	}else{
		$estado="NO INSERTED";
		return FALSE;
	}
}
// **************** FIN FUNCIONES ********************

$inicio=TRUE; //Para evitar que salgan los campos de validacion al iniciar
//Validacion de datos enviados en el momento de hacer el submit
if(isset($_POST['submit'])){ //Si da false enviamos error
	$inicio=FALSE;
	if(!validarNombre($_POST['nombre'])) 
		$nombre = "error";
	if(!validarEmail($_POST['email']))
		$email = "error";
	if(!validarPass($_POST['pass1'],$_POST['pass2']))
		$pass1 = "error";
	if(!validarNombreBD($_POST['nombre']))
		$existeNombre = "error";
	if(!validarEmailBD($_POST['email']))
		$existeEmail = "error";
	//Guardamos valores para que no tenga que reescribirlos en caso error
	$nombreAnt = $_POST['nombre'];
	$emailAnt = $_POST['email'];

	//Comprobamos si todo ok
	if($nombre != "error" && $pass1 != "error" && $email != "error" && $existeNombre != "error" && $existeEmail != "error" ){		
		insertarUsuario($nombre, $email, $pass1);
		$estado="<h1>User registered correctly!</h1>";
		$nombreAnt="";
		$emailAnt="";
		$inicio=TRUE;
	}
	else
		$estado="Something wrong";
}
else
	$inicio=TRUE;
?>

<!DOCTYPE HTML>
<html>

<head>
  <title>Lumen + External Elastic Border Detection in IVUS Challenge</title>
  <meta name="description" content="website description" />
  <meta name="keywords" content="website keywords, website keywords" />
  <meta http-equiv="content-type" content="text/html; charset=windows-1252" />
  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>
  <div id="main">
    <div id="header">
      <div id="logo">
        <div id="logo_text">
          <!-- class="logo_colour", allows you to change the colour of the text -->
          <h1>Lumen + External Elastic Laminae</h1>
          <h2>Border Detection in IVUS Challenge</h2>
        </div>
      </div>
      <div id="menubar">
        <ul id="menu">
          <!-- put class="selected" in the li tag for the selected page - to highlight which page you're on -->
	  <li><a href="index.php">Home</a></li>
          <li><a href="dataset.php">DataSet</a></li>
          <li><a href="evaluation.php">Evaluation</a></li>
          <li class="selected"><a href="register.php">Register user</a></li>
          <li><a href="upload.php">Upload files</a></li>
	  <li><a href="results.php">Results</a></li>
          <li><a href="faqs.php">Faqs</a></li>
          <li><a href="about.php">About</a></li>
          <li><a href="verify.php">Admin</a></li>
        </ul>
      </div>
    </div>
    <div id="site_content">
      <div class="sidebar">
        <h1>Latest News</h1>
        <p><?php cargaNews(); ?></p>
        <h1>Useful Links</h1>
        <ul>
          <li><a href="#">link 1</a></li>
          <li><a href="#">link 2</a></li>
                  </ul>
      </div>
      <div id="content">
        <form method="post" action="register.php"> 
        
            <h2>Register User</h2>
            <center>
            <br><br><table border="0" align="center"><caption>REGISTER USER</caption>
            			<tr>
                        	<?php echo $estado ?>
                        </tr>
                        <tr>
                            <td><label for="nombre">Group name:</label></td>
                            <td><input type="text" name="nombre" id="nombre" value="<?php echo $nombreAnt ?>"></td>
                            <?php
								if (!$inicio){
									if ($nombre == "error")
										echo "<td><span style=color:red>Error! word, numbers, underscore. 4 car. min</td>";
									else
										echo "<td><span style=color:green>Correct name</td>";
									if ($existeNombre == "error")
										echo "<td><span style=color:red>Error! name already used</td>";
									else
										echo "<td><span style=color:green>Name unused</td>";
								}
							?>
                        </tr>
                        <tr>
                            <td><label for="email">Email:</label></td>
                            <td><input type="text" name="email" id="email" value="<?php echo $emailAnt ?>"></td>
                            <?php 
								if (!$inicio){
									if ($email == "error")
										echo "<td><span style=color:red>Error! insert a correct mail</td>";
									else
										echo "<td><span style=color:green>Correct mail</td>";
									if ($existeEmail == "error")
										echo "<td><span style=color:red>Error! Already used mail</td>";
									else
										echo "<td><span style=color:green>unused mail</td>";
								}
							?>
                        </tr>
                        <tr>
                            <td><label for="pass1">Password:</label></td>
                            <td><input type="password" name="pass1" id="pass1" /></td>
                            <?php 
								if (!$inicio){
									if ($pass1 == "error")
										echo "<td><span style=color:red>Error! password incorrect</td>";
									else
										echo "<td><span style=color:green>Password correct</td>";
								}
							?>                     
                        </tr>
                         <tr>
                            <td><label for="pass2">Repeat password:</label></td>
                            <td><input type="password" name="pass2" id="pass2" /></td>
                        </tr>
                        <tr>
                        	<td colspan="4"><center><input name="submit" type="submit" class="button" value=" REGISTER "></center></td>
                        </tr>
                    </table>
        </center>       
        </form>
	</div>
  </div>
    <div id="footer">
      <p><a href="index.php">Home</a> | <a href="dataset.php">DataSet</a> | <a href="evaluation.php">Evaluation</a> | <a href="register.php">Register</a> | <a href="upload.php">Upload Files</a> | <a href="results.php">Results</a> | <a href="faqs.php">Faqs</a> | <a href="about.php">About</a> | <a href="verify.php">Admin users</a></p>
    </div>
  </div>
</body>
</html>