<?php
/*
error_reporting(E_ALL);
ini_set('display_errors', '1');
*/
	include ("funciones.php");
	//Funcion que comprueba el tipo de fichero (ZIP)
	function compruebaTipo(){
		if($_FILES['archivo']['type']=="application/zip" ||
		   $_FILES['archivo']['type']=="application/x-zip" ||
		   $_FILES['archivo']['type']=="application/x-zip-compressed")
			return TRUE;
		else
			return FALSE;
	}
	//Funcion que extrae el zip en el directorio
	function extractZip($uploadfile, $uploaddir){		
		$extdir=$uploaddir."/extract";
		$zip = new ZipArchive;
 		$res = $zip->open($uploadfile);  // Ruta donde esta el Zip
		if ($res === TRUE){
			$zip->extractTo($extdir);
			$zip->close();
			return TRUE;
		}
		else
			return FALSE;
	}
	//Funcion que borra todo el directorio en caso de error, incluido ocultos :_)
	function eliminarDir($completedir, $DeleteMe){
		if(!$dh = opendir($completedir)) return;
			while (false !== ($obj = readdir($dh))) {
				if($obj=='.' || $obj=='..') continue;
				if (!unlink($completedir.'/'.$obj))
					eliminarDir($completedir.'/'.$obj, true);
			}
		if ($DeleteMe){
			closedir($dh);
			rmdir($completedir);
		}
	}
	//Funcion que crea el directorio del usuario en el server
	function creaDir($uploaddir){
		$completedir=$uploaddir."/extract";
		if( mkdir($completedir,0777,TRUE) ) //creamos el directorio del usuario	
			return TRUE;
		else
			return FALSE;
	}
	//Funcion insertar puntuaciones
	function insertarPuntos($puntos, $nombreUsuario){
		$link=conectarBD();
		$insertar= "UPDATE usuarios SET puntos= '$puntos' WHERE nombre = '$nombreUsuario'";
		$resultado=mysql_query($insertar,$link) or die (mysql_error());
		
		if ($resultado){
			$estado="OK INSERTADO";
			return TRUE;
		}else{
			$estado="NO INSERTADO";
			return FALSE;
		}
    }	
	
	//Funcion que recorre el fichero de los DATASET y evalua los resultados
	function analizarDataset($nombreUsuario, $nombreZip){	
		$rutaDatasetA = "Data_set_A/LABELS/"; // Ojo!!!!!! caseSensitive directorios
		$rutaDatasetB = "Data_set_B/LABELS/";
		$rutaMontada = "subidas/$nombreUsuario/extract/";
		$rutaTotal = $rutaMontada . $rutaDatasetA;
		$total = 0;
		
		//Comprobamos si existe el directorio (o el zip esta mal formateado)
		if (is_dir($rutaTotal)){
			echo "<center><h3>Dataset A Points: ";
		}else{
			echo "<h2>ERROR, directory DatasetA NOT found</h2>";
			echo "<h3>ZIP with correct format?</h3>";
			return FALSE;
		}
		
		for ($i = 0; $i < 2 ; $i++){ //Bucle para recorrer los 2 datasets
		    if ($directorio = opendir($rutaTotal)){
			while (false !== ($nombreFichero = readdir($directorio))){ //Itera los ficheros
			    if ($nombreFichero != "." && $nombreFichero != ".." ){ //evitamos los . ..
				$descriptor=fopen($rutaTotal.$nombreFichero,"r");
				while(!feof($descriptor)){ //mientras que no lleguemos al final del fichero
				    $linea=fgetcsv($descriptor,",");
				    if ($linea[0] !="" || $linea[1] !=""){ //evitar lineas en blanco
					$resta=$linea[0]-$linea[1]; //operacion de muestra
					$total = $total+$resta;	//operacion de muestra
				    }
				}
				//Cerramos el fichero
				fclose($descriptor);
			    }
			}
		    }
		    echo "$total</h3>";
		    closedir($directorio); //cerramos el directorio
		    if ($i == 0){ //el segundo dataset
			$rutaTotal = $rutaMontada . $rutaDatasetB;
			if (is_dir($rutaTotal)){
				echo "<h3>Dataset B Points: ";
				$totalA=$total;
				$total=0;
			}else{	
				echo "<h2>ERROR, directory DatasetB NOT found</h2>";
				echo "<h3>ZIP with correct format?</h3>";
				return FALSE;
			}
		    }
		}
	$totalResult=$totalA+$total;	
	echo "<h3>Total points: $totalResult</h3></center>";	
	insertarPuntos($totalResult,$nombreUsuario);
	return TRUE;
	}
	
	//Funcion base le pasamos el nombre del usuario. El fichero ya lo recibe por formulario.
	function ficheroSubido($nombre){
		$uploaddir = "subidas/".$nombre; //directorio donde se van a subir los ficheros.
		//Comprobamos el tipo de fichero que es
		if (compruebaTipo())
			echo "<h2>File OK, its a zip</h2>";
		else{
			echo "<h2>ERROR File, NO zip</h2>";
			echo "<h3>You need to upload a valid file. Look at <a href='/tfc/evaluation.php'> Evaluation </a> to know the format</h3>";
			return FALSE;
		}
		//Si es un zip, pasamos a crear la estructura de directorios en subidas. Creamos el directorio con el nombre
		if (creaDir($uploaddir)){
			//echo "<h3>OK, directory ". $nombre ." created</h3>";
		}else{
			echo "<h2>ERROR cant create directory</h2>";
			return FALSE;
		}
		//creamos el fichero+ruta completo y generamos un directorio con el nombre del usuario
		$uploadfile = $uploaddir. "/" . basename($_FILES['archivo']['name']);
		$nombreZip=preg_replace('/\.[^.]*$/', '', basename($_FILES['archivo']['name'])); //Nombre del fichero, sin extension
		//Recoge el codigo de error
		$error = $_FILES['archivo']['error'];
		//Comprobamos si venimos del formulario y si se ha subido correctamente (UPLOAD_ERR_OK = 0)
		if(isset($_POST['boton']) && $error==UPLOAD_ERR_OK){ 
			$subido = copy($_FILES['archivo']['tmp_name'], $uploadfile); //Copiamos desde el temporal hasta al directorio del server
			if ($subido){
				//echo "<h2>OK, ZIP upload correctly to server</h2>";
				if (extractZip($uploadfile,$uploaddir)){ //Extraemos el zip
					echo "<h2>OK, file extract</h2>";
					if (analizarDataset($nombre,$nombreZip)) //Analizamos el zip
						echo "<h2>OK, file analized correctly</h2>";
					else{
						return FALSE;
					}
				}
				else{
					echo "<h2>ERROR, problems extracting file</h2>";
					return FALSE;
				}
					
			}else{ 
				echo "<h2>ERROR, cant copy from temp: ".$error."</h2>";
				return FALSE;
			}
		}else{
			echo "<h2>ERROR, uploading file: ".$error."</h2>";
			return FALSE;
		}
	return TRUE;	
	}
?>

<html>
<head>
  <title>Lumen + External Elastic Border Detection in IVUS Challenge</title>
  <meta name="description" content="website description" />
  <meta name="keywords" content="website keywords, website keywords" />
  <meta http-equiv="content-type" content="text/html; charset=windows-1252" />
  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>
  <div id="main" value>
    <div id="header">
      <div id="logo">
        <div id="logo_text">
          <!-- class="logo_colour", allows you to change the colour of the text -->
          <h1>Lumen + External Elastic Laminae</h1>
          <h2>Border Detection in IVUS Challenge</h2>
        </div>
      </div>
      <div id="menubar">
        <ul id="menu">
	  <li><a href="index.php">Home</a></li>
          <li><a href="dataset.php">DataSet</a></li>
          <li><a href="evaluation.php">Evaluation</a></li>
          <li><a href="register.php">Register user</a></li>
          <li class="selected"><a href="upload.php">Upload files</a></li>
	  <li><a href="results.php">Results</a></li>
          <li><a href="faqs.php">Faqs</a></li>
          <li><a href="about.php">About</a></li>
          <li><a href="verify.php">Admin</a></li>
        </ul>
      </div>
    </div>
    <div id="site_content">
      <div class="sidebar">
        <h1>Latest News</h1>
        <p><?php cargaNews(); ?></p>
        <h1>Useful Links</h1>
        <ul>
          <li><a href="http://www.ub.edu/">www.ub.edu</a></li>
          <li><a href="http://www.cvc.uab.es/">www.cvc.uab.es</a></li>
        </ul>
      </div>
      <div id="content">
	<?php
	if(isset($_POST['nombre']))
		if (ficheroSubido($_POST['nombre']))
			echo "<center><h1>Finish, classification here: <a href='/tfc/results.php'>Results</a></h1></center>";
		else{
			echo "<center><h3>Some error in the procedure. You can try to upload file again <a href='/tfc/upload.php'>Upload File</a></h3>";
			echo "<h3>deleting temporal files...</h3></center>";
			$nombre = $_POST['nombre'];
			$completedir = "subidas/".$nombre;
			echo "deleting all files in: $completedir<br>";
			eliminarDir($completedir,TRUE);
			echo "<h3>all done</h3>";
		}
	else
		echo "<center><h1>INVALID ACESS, YOU MUST UPLOAD A FILE</h2></center>"
	?>
      </div>
</div>
  </div>
    <div id="footer">
      <p><a href="index.php">Home</a> | <a href="dataset.php">DataSet</a> | <a href="evaluation.php">Evaluation</a> |
      <a href="register.php">Register</a> | <a href="upload.php">Upload Files</a> | <a href="results.php">Results</a> |
      <a href="faqs.php">Faqs</a> | <a href="about.php">About</a> | <a href="verify.php">Admin users</a></p>
      <a href="www.ub.edu"><img src="style/logounder.jpg"></a>
    </div>
  </div>
</body>
</html>