<!DOCTYPE HTML>
<html>

<head>
  <title>Lumen + External Elastic Border Detection in IVUS Challenge</title>
  <meta name="description" content="website description" />
  <meta name="keywords" content="website keywords, website keywords" />
  <meta http-equiv="content-type" content="text/html; charset=windows-1252" />
  <link rel="stylesheet" type="text/css" href="style/style.css" />
</head>

<body>
  <div id="main">
    <div id="header">
      <div id="logo">
        <div id="logo_text">
          <!-- class="logo_colour", allows you to change the colour of the text -->
          <h1>Lumen + External Elastic Laminae</h1>
          <h2>Border Detection in IVUS Challenge</h2>
        </div>
      </div>
      <div id="menubar">
        <ul id="menu">
          <!-- put class="selected" in the li tag for the selected page - to highlight which page you're on -->
			<li><a href="index.php">Home</a></li>
          <li><a href="dataset.php">DataSet</a></li>
          <li><a href="evaluation.php">Evaluation</a></li>
          <li><a href="register.php">Register user</a></li>
          <li><a href="upload.php">Upload files</a></li>
          <li><a href="results.php">Results</a></li>
          <li class="selected"><a href="faqs.php">Faqs</a></li>
          <li><a href="about.php">About</a></li>
          <li><a href="verify.php">Admin</a></li>
        </ul>
      </div>
    </div>
    <div id="site_content">
      <div class="sidebar">
        <h1>Latest News</h1>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient .</p>
        <h1>Useful Links</h1>
        <ul>
          <li><a href="#">link 1</a></li>
          <li><a href="#">link 1</a></li>
        </ul>
     </div>
      <div id="content">
		<H2> Faqs </H2>
        <p><strong>Question: participant X</strong>&nbsp;<br>
          Answer: Balocco Simone, on behalf of the organizing committee&nbsp;<br>
          <br>
          <strong>Q: Our algorithms extracts 50 points for each IVUS frame for the segmentation (50 for Lumen and 50 for outer wall). The results of the training set you provide, show 360 points. Should we perform some kind of interpolation in order for our method to also extract 360 points for each IVUS frame?</strong>&nbsp;<br>
          A: The segmentation evaluation will be evaluated using the matlab script distributed with the data sets. In principle the script performs a spline interpolation of the contours, I believe there will be no problem in providing a fewer number of points. however please check using the matlab script that the results of with and without the interpolation are similar.&nbsp;<br>
          <br>
          <strong>Q: For the comparison between our results and the annotation ones: Is the comparison performed point by point? In that case, the first point we detect in the lumen should be compared with the annotations&rsquo; first point? And then follow the same order for all successive points (clock wise or counter clock wise)?</strong>&nbsp;<br>
          A: The contours performance will be computed using the Hausdorff distance, so in principle you don't need to guarantee (according to my experiments) the same order of successive points. Please double check also this issue. If you have any problem please do not hesitate to write us.&nbsp;<br>
          <br>
          <strong>Q: I do not have an script to convert Polar coordinates to Cartesian. Can you please provide to the participants a script to convert from a binary image to this coordinates?. If not, can you please provide detailed instructions of how we should convert our data to coordinates?</strong>&nbsp;<br>
          A: if you use matlab, you may want to use the pol2cart matlab function, interpolated with a spline. In the case you code such function please send the code to us, so that it can be shared among the participants. You can add credits about the code in the header of the matlab file (as I did for the performance evaluation script) Please be compliant with the provided manual annotations of the training-set. For instance verify that the contours you submit, are correctly oriented (you can check this by superimposing the contours to the images. Please use the provided annotations as example).&nbsp;<br>
          <br>
          <strong>Q: Can you please give more information regarding how to use the validation script? what Kind of input it need? The function has no comments</strong>&nbsp;<br>
        A: The validation script simply computes a series of error measures given two contours. The contours are column [:,2] vector files. the third parameter is the size of the image, which is different in each data-set.&nbsp;</p>
</div>
  </div>
    <div id="footer">
      <p><a href="index.php">Home</a> | <a href="dataset.php">DataSet</a> | <a href="evaluation.php">Evaluation</a> | <a href="register.php">Register</a> | <a href="upload.php">Upload Files</a> | <a href="results.php">Results</a> | <a href="faqs.php">Faqs</a> | <a href="about.php">About</a> | <a href="verify.php">Admin users</a></p>
    </div>
  </div>
</body>
</html>
